# OpenLDAP FusionDirectory Docker

Basic Docker image for OpenLDAP server with FusionDirectory schema

## Environment variables

| Variable            | Value                                                                                |
|:-------------------:|:------------------------------------------------------------------------------------:|
| `URL`               | The LDAP server URLs (default `ldap:/// ldapi:///`)                                  |
| `CONF_DIR`          | The LDAP config directory (default: `/etc/ldap/slapd.d`)                             |
| `DB_DIR`            | The LDAP database directory (default: `/var/lib/ldap`)                               |
| `DEBUG_LEVEL`       | The LDAP debug level (default: `0`)                                                  |
| `LDPA_ADMINPWD`     | The LDAP admin password (only needed on first start)                                 |
| `LDAP_DOMAIN`       | The LDAP domain, will be the base DN separated by point (only needed on first start) |
| `LDAP_ORGANIZATION` | The LDPA organisation name (only needed on first start)                              |


## Exemple

```bash
# Build image
docker build -t openldap-fd-docker .

# Run a test LDAP server
docker run -it -e "LDPA_ADMINPWD=test" -e 'LDAP_DOMAIN=exemple.org' -e 'LDAP_ORGANIZATION=test' --rm -d --name ldap openldap-fd-docker

# Try to fetch some data
docker exec -it ldap ldapsearch -x -LLL -H 'ldap://localhost' -D 'cn=admin,dc=exemple,dc=org' -b'dc=exemple,dc=org' -w test

# Stop & remove the test LDAP server
docker rm -f ldap
```
